(* remove content within IGNORE tags *)

#use "topfind"
#require "sgml-light"

let new_content_top sg ignore =
  let rec new_content sg_l =
    match sg_l with
      | [] -> []
      | Sgml.Element(l,a,c) :: r when l = ignore -> 
	  (new_content r)
      | Sgml.Element(l,a,c) :: r -> Sgml.Element(l,a,(new_content c)) :: new_content r
      | Sgml.PCData c :: r -> Sgml.PCData c :: (new_content r) in
    new_content sg

let _ =
  let sg = Sgml.parse_file Sys.argv.(1) in
  let o = open_out Sys.argv.(2) in
    Sgml.to_stream (List.hd (new_content_top [sg] Sys.argv.(3))) o; close_out o
